# .bashrc

function RemoveEmacsBackup()
{
    local sym
    for sym in $(echo '*~*' '.*~*' '\#*'); do rm -f $sym; done
}

# alias rm='rm -i'
alias r=RemoveEmacsBackup
binDir=bin.$OSTYPE.$MACHTYPE.$HOSTNAME

# history -c
rm -f ~/.bash_history
# PS1="\[\033[2;33m\]\u@\h:\w[\!]\$ "
PS1="\[\033[1;37m\]\u@\h:\w[\!]\$ "

bind '"\C-P": history-search-backward'
bind '"\C-N": history-search-forward'

# export PATH=/bin/emacs-24.3/bin:$PATH

EMACS=/bin/emacs-24.3/bin
HTS=~/tool/HTS/HTS-2.2/$binDir
HSTC=~/tool/HTS/HSTC/$binDir
SPTK=~/tool/SPTK-3.4.1/$binDir/bin
NKF=~/tool/nkf207/$binDir
GNUWGET=~/tool/wget-1.11.4-1-bin/bin

export PATH=$EMACS:$HTS:$HSTC:$SPTK:$NKF:$GNUWGET:$PATH

alias l="ls -l"
alias j="jobs"


# --- END of .bashrc --- 
